{ pkgs, ... }:

pkgs.mkShell {
  strictDeps = true;
  nativeBuildInputs = with pkgs; [
    gcc
    openssl
    pkg-config
    rustup
    dioxus-cli
    rustPlatform.bindgenHook
  ];
  
  buildInputs = with pkgs; [
    atkmm
    cairo
    gdk-pixbuf
    glib
    gtk3
    pango
    webkitgtk_4_1
    xdotool
  ];

  GDK_BACKEND = "x11";
  PKG_CONFIG_PATH = "${pkgs.openssl.dev}/lib/pkgconfig";
  RUSTC_VERSION = "nightly";
  WEBKIT_DISABLE_DMABUF_RENDERER = 1;
  shellHook = ''
    export PATH="''${CARGO_HOME:-~/.cargo}/bin":"$PATH"
    export PATH="''${RUSTUP_HOME:-~/.rustup}/toolchains/$RUSTC_VERSION-${pkgs.stdenv.hostPlatform.rust.rustcTarget}/bin":"$PATH"
  '';
}
